Bug 1420647 - [RFE] puppet run fails when puppet environment name is modified using webui.
Summary: [RFE] puppet run fails when puppet environment name is modified using webui.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Puppet
Version: 6.2.4
Hardware: All
OS: All
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 07:29 UTC by Ranjan Kumar
Modified: 2020-07-16 09:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 19:13:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 21227 Normal New Puppet run fails when puppet environment name is modified using webui. 2020-02-05 16:06:11 UTC

Description Ranjan Kumar 2017-02-09 07:29:49 UTC
Description of problem: Go to environment and change name of any puppet environment. Now run puppet agent -t on any client which is using same puppet environment. puppet fails with below error

Error: Could not retrieve catalog from remote server: Error 400 on SERVER: Failed when searching for node <puppet-agent>: Could not find a directory environment named 'KT_New_Environment' anywhere in the path: /etc/puppet/environments. Does the directory exist?
Warning: Not using cache on failed catalog
Error: Could not retrieve catalog; skipping run

Version-Release number of selected component (if applicable): 6.1.4

How reproducible:Always

Steps to Reproduce:
1. Go to Configure -> Environments on satellite
2. Click on puppet environment name eg. KT_<org-name>_Library_<content-view-name>_<version>
3. Enter new name and submit
4. Go to All Host page and assign any host to KT_<org-name>_Library_<content-view-name>_<version> puppet environemnt.
5. run puppet agent -t on the host

Actual results:  
Error: Could not retrieve catalog from remote server: Error 400 on SERVER: Failed when searching for node <puppet-agent>: Could not find a directory environment named 'KT_New_Environment' anywhere in the path: /etc/puppet/environments. Does the directory exist?
Warning: Not using cache on failed catalog
Error: Could not retrieve catalog; skipping run

Expected results: Agent should be able fetch and apply puppet modules.


Additional info: Either disable renaming of environment or satellite should rename the directory preset at /etc/puppet/environments/

Comment 4 Ondřej Pražák 2017-10-06 09:24:22 UTC
Created redmine issue http://projects.theforeman.org/issues/21227 from this bug

Comment 6 Bryan Kearney 2018-09-04 19:01:27 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 7 Bryan Kearney 2018-09-04 19:13:51 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.